Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Properties.h File Reference

`#include "notify_export.h"`
`#include "tao/TAO_Singleton.h"`
`#include "tao/ORB.h"`
`#include "tao/PortableServer/PortableServer.h"`
`#include "orbsvcs/CosNotificationC.h"`

Include dependency graph for Properties.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Notify_Properties
| Global properties that strategize Notify's run-time behaviour. More...
## Typedefs
typedef TAO_Singleton< TAO_Notify_Properties, TAO_SYNCH_MUTEX > | TAO_Notify_PROPERTIES

## Detailed Description

Id:
  Properties.h,v 1.11 2003/12/30 12:36:57 jwillemsen Exp

Author:
  Pradeep Gore <pradeep@oomworks.com>

## Typedef Documentation

typedef TAO_Singleton<TAO_Notify_Properties, TAO_SYNCH_MUTEX> TAO_Notify_PROPERTIES